### Method

# WPEPlatform KeymapXKB update

#### Declaration [src]

    void
    wpe_keymap_xkb_update (
      WPEKeymapXKB* keymap,
      guint format,
      int fd,
      guint size
    )

#### Description [src]

Update `keymap` from the map at `fd` with `format`.

#### Parameters

`format`

  Type: `guint`

  The format.

`fd`

  Type: `int`

  The file descriptor.

`size`

  Type: `guint`

  The size of the map.